# class MainWindow | A KPart-aware main window, whose user interface is described in XML. More...
Full name | `KParts::MainWindow`
Definition | `#include <mainwindow.h>`
Inherits | KMainWindow (kdeui) [public ], KParts::PartBase [virtual public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- MainWindow ( QWidget* parent, const char *name = 0L, WFlags f = WType_TopLevel | WDestructiveClose )
- MainWindow ( const char *name = 0L, WFlags f = WDestructiveClose )
- virtual ~MainWindow ()

#### Protected Methods

- virtual void createShellGUI ( bool create = true )

#### Protected Slots

- void createGUI ( KParts::Part * part )
- virtual void slotSetStatusBarText ( const QString & )

## Detailed Description

A KPart-aware main window, whose user interface is described in XML.

Inherit your main window from this class and don't forget to call setXMLFile() in the inherited constructor.

It implements all internal interfaces in the case of a KMainWindow as host: the builder and servant interface (for menu merging).

MainWindow ( QWidget* parent, const char *name = 0L, WFlags f = WType_TopLevel | WDestructiveClose ) | ### MainWindow

Constructor, same signature as KMainWindow.

MainWindow ( const char *name = 0L, WFlags f = WDestructiveClose ) | ### MainWindow

Compatibility Constructor, same signature as KTMainWindow.

~MainWindow () | ### ~MainWindow

[virtual]

Destructor.

void createGUI ( KParts::Part * part ) | ### createGUI

[protected slots slot]

Create the GUI (by merging the host's and the active part's)

For this you need to connect this slot to the KPartManager::activePartChanged() signal

Parameters:

part | The active part (set to 0L if no part).

Reimplemented from KMainWindow.

void slotSetStatusBarText ( const QString & ) | ### slotSetStatusBarText

[protected slots virtual slot]

Called when the active part wants to change the statusbar message Reimplement if your mainwindow has a complex statusbar (with several items)

void createShellGUI ( bool create = true ) | ### createShellGUI

[protected virtual]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:43:28 2001, using kdoc 2.0a53.